Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class ModelMBeanConstructorInfo

    java.lang.Object
      |
      +--javax.management.MBeanFeatureInfo
            |
            +--javax.management.MBeanConstructorInfo
                  |
                  +--javax.management.modelmbean.ModelMBeanConstructorInfo

All Implemented Interfaces:
  java.lang.Cloneable, DescriptorAccess, java.io.Serializable

public class ModelMBeanConstructorInfo
extends MBeanConstructorInfo
implements DescriptorAccess, java.lang.Cloneable

The ModelMBeanConstructorInfo object describes a constructor of the ModelMBean. It is a subclass of MBeanConstructorInfo with the addition of an associated Descriptor and an implementation of the DescriptorAccess interface.

     The fields in the descriptor are defined, but not limited to, the following:
     name           : operation name
     descriptorType : must be "operation"
     role           : must be "constructor"
     displayName    : human readable name of constructor
     class          : class where method is defined (fully qualified)
     visibility            : 1-4 where 1: always visible 4: rarely visible
     presentationString :  xml formatted string to describe how to present operation

PersistencePolicy and CurrencyTimeLimit fields are not valid for the constructor. The default constructo will have the name, descriptorType, and role fields.

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`ModelMBeanConstructorInfo(java.lang.String description, java.lang.reflect.Constructor constructor)` Constructs a MBeanConstructorInfo object with a default descriptor.
`ModelMBeanConstructorInfo(java.lang.String description, java.lang.reflect.Constructor constructor, Descriptor descriptor)` Constructs a MBeanConstructorInfo object.
`ModelMBeanConstructorInfo(java.lang.String name, java.lang.String description, MBeanParameterInfo[] signature)` Constructs a ModelMBeanConstructorInfo object with a default descriptor.
`ModelMBeanConstructorInfo(java.lang.String name, java.lang.String description, MBeanParameterInfo[] signature, Descriptor descriptor)` Constructs a MBeanConstructorInfo object.

Method Summary
`java.lang.Object` | `clone()` Creates and returns a new ModelMBeanConstructorInfo which is a duplicate of this ModelMBeanConstructorInfo.
`Descriptor` | `getDescriptor()` Returns a copy of the associated Descriptor
`void` | `setDescriptor(Descriptor descriptor)` Sets associated Descriptor (full replace) of ModelMBeanConstructorInfo.
`java.lang.String` | `toString()` Returns a string containing the entire contents of the ModelMBeanConstructorInfo in human readable form.

Methods inherited from class javax.management.MBeanConstructorInfo
`getSignature`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(java.lang.String description,
                                     java.lang.reflect.Constructor constructor)

  Constructs a MBeanConstructorInfo object with a default descriptor.

Parameters:
  `description` - A human readable description of the constructor.
  `constructor` - The java.lang.reflect.Method object describing the MBean constructor.

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(java.lang.String description,
                                     java.lang.reflect.Constructor constructor,
                                     Descriptor descriptor)

  Constructs a MBeanConstructorInfo object.

Parameters:
  `description` - A human readable description of the constructor.
  `constructor` - The java.lang.reflect.Method object describing the ModelMBean constructor.
  `descriptor` - An instance of Descriptor containing the appropriate metadata for this instance of the ModelMBeanConstructorInfo. If it is null or invalid then a default desriptor will be created.

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(java.lang.String name,
                                     java.lang.String description,
                                     MBeanParameterInfo[] signature)

  Constructs a ModelMBeanConstructorInfo object with a default descriptor.

Parameters:
  `name` - The name of the constructor.
  `description` - A human readable description of the constructor.
  `signature` - MBeanParameterInfo object array describing the parameters(arguments) of the constructor.

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(java.lang.String name,
                                     java.lang.String description,
                                     MBeanParameterInfo[] signature,
                                     Descriptor descriptor)

  Constructs a MBeanConstructorInfo object.

Parameters:
  `name` - The name of the constructor.
  `description` - A human readable description of the constructor.
  `signature` - MBeanParameterInfo objects describing the parameters(arguments) of the constructor.
  `descriptor` - An instance of Descriptor containing the appropriate metadata for this instance of the MBeanConstructorInfo. If it is null or invalid then a default desriptor will be created.

Method Detail

### clone

    public java.lang.Object clone()

  Creates and returns a new ModelMBeanConstructorInfo which is a duplicate of this ModelMBeanConstructorInfo.

  Overrides:
    `clone` in class `MBeanConstructorInfo`

### getDescriptor

    public Descriptor getDescriptor()

  Returns a copy of the associated Descriptor

  Specified by:
    `getDescriptor` in interface `DescriptorAccess`
  Returns:
    Descriptor associated with the ModelMBeanConstructorInfo object.

### setDescriptor

    public void setDescriptor(Descriptor descriptor)

  Sets associated Descriptor (full replace) of ModelMBeanConstructorInfo. If the new Descriptor is null, then the associated Descriptor reverts to a default descriptor. The Descriptor is validated before it is assigned. If the new Descriptor is invalid, then an IllegalArgumentException is thrown.

  Specified by:
    `setDescriptor` in interface `DescriptorAccess`
  Parameters:
    `descriptor` - - replaces the Descriptor associated with the ModelMBeanConstructor.

### toString

    public java.lang.String toString()

  Returns a string containing the entire contents of the ModelMBeanConstructorInfo in human readable form.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD